import { s as t, b as a, a as r, S as s } from "./chunk-NQ4KR5QH-Dd6Ne4x8.js";
import { _ as i } from "./mermaid.core-CYBWUA0z.js";
import "./transform-QfIdy88w.js";
var _ = {
  parser: r,
  get db() {
    return new s(2);
  },
  renderer: a,
  styles: t,
  init: /* @__PURE__ */ i((e) => {
    e.state || (e.state = {}), e.state.arrowMarkerAbsolute = e.arrowMarkerAbsolute;
  }, "init")
};
export {
  _ as diagram
};
